{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}

{% set mapglobals = map|default([]) %}

{% block demosplanbundlecontent %}
    <h1>{{ "gislayer.create"|trans }}</h1>

    <form action="{{ path('DemosPlan_map_administration_gislayer_new',{'procedure':procedure}) }}" method="post" enctype="multipart/form-data" data-dp-validate id="form">

        {% block layerType %}
            {%- apply spaceless %}

                <label class="u-mt-0_5 u-mb-0_5">
                    {{ "map"|trans }}*
                </label>
                <ul class="layout__item u-4-of-5 o-list bg-color--grey-light-2 u-p-0_5 u-mb">
                    <li>
                        <label class="cursor-pointer u-mb-0_25" title="Mit Grundkarte können Sie weitere Karten anlegen.">
                            <input
                                type="radio"
                                name="r_type"
                                data-cy="base"
                                value="base"
                                required
                                {% if templateVars.inData.r_layer|default() == "base" %}checked{% endif %}
                            >
                            {{ "map.base"|trans }}
                        </label>

                    </li>
                    <li>
                        <label class="cursor-pointer u-mb-0_25" title="Mit Overlay erstellen Sie weitere Ebenen (Layer) ein-/ausblendbar über den Grundkarten.">
                            <input
                                type="radio"
                                name="r_type"
                                data-cy="overlay"
                                value="overlay"
                                required
                                {% if templateVars.inData.r_layer|default() != "base" %}checked{% endif %}
                            >
                            {{ "overlay"|trans }}
                        </label>
                        <ul class="list-style-none u-pl">
                            {% if hasPermission('area_public_participation') and hasPermission('feature_map_use_territory') %}
                                <li>
                                    <label class="cursor-pointer u-mb-0_25" title="Mit Planzeichnung können Sie einen B-Plan anlegen. Dieser wird ein-/ausblendbar über die Grundkarten gelegt.">
                                        <input
                                            type="checkbox"
                                            id="bPlan"
                                            name="r_bplan"
                                            data-cy="r_bplan"
                                            data-requires="[name=r_type][value=overlay]"
                                            data-to-disable="#scope"
                                            value="1"
                                            {% if gislayer.bplan|default(false) == true %}checked="checked"{% endif %}
                                        >
                                        {{ "drawing"|trans }}
                                    </label>
                                </li>
                                <li>
                                    <label class="cursor-pointer u-mb-0_25" title="Geltungsbereich zeigt nur in der Beteiligungsebene die Umrandung des Plans über der Grundkarte an.">
                                        <input
                                            type="checkbox"
                                            id="scope"
                                            name="r_scope"
                                            data-cy="r_scope"
                                            data-requires="[name=r_type][value=overlay]"
                                            data-to-disable="#bPlan"
                                            value="1"
                                            {% if gislayer.scope|default(false) == true %}checked="checked"{% endif %}
                                        >
                                        {{ "layer.territory"|trans }}
                                    </label>
                                </li>
                            {% endif %}
                        </ul>
                    </li>
                </ul>
                {% if hasPermission('feature_xplan_defaultlayers') %}
                    <label
                        class="layout__item u-1-of-5 cursor-pointer"
                        title="Mit XPlan können Sie einen XPlanlayer anlegen.">
                        <input
                            type="checkbox"
                            name="r_xplan"
                            {% if templateVars.inData.r_xplan|default() == "bplan" %}checked{% endif %}
                        >
                        {{ "xplan"|trans }}
                    </label>
                {% endif %}
            {% endapply -%}
        {% endblock layerType %}


        {% block baseSettings %}
            <layer-settings
                init-name="{{ templateVars.inData.r_name|default }}"
                init-service-type="{{ templateVars.inData.r_serviceType|default }}"
                init-url="{{ templateVars.inData.r_url|default }}"
                init-layers="{{ templateVars.inData.r_layers|default }}"
                init-version="{{ gislayer.layerVersion|default }}"
                xplan-default-layer="{{ mapglobals.xplanDefaultLayers|default }}"
                init-matrix-set="{{ templateVars.inData.r_tileMatrixSet|default }}"
                init-projection="{{ templateVars.inData.r_projection|default }}"
                :available-projections="JSON.parse('{{ templateVars.availableProjections|map(el => { label: el['label'], value: el['label'] })|json_encode|e('js', 'utf-8') }}')"
            ></layer-settings>
        {% endblock baseSettings %}


        {{ uiComponent('form.row', {
            elements: [
                {
                    label: { text: 'opacity.percent'|trans },
                    control: { name: 'r_opacity', value: templateVars.inData.r_opacity|default(100), pattern: "^\\d{1,2}?([.|,]\\d{1,2})?$|^100$", size: 'tiny' },
                    id: 'r_opacity',
                    type: 'text',
                    required: true
                }
            ]
        }) }}

        {% if hasPermission('feature_map_layer_legend_file') %}
            <div class="u-mb-0_75">
                {{
                    fileupload(
                        "r_legend",
                        "legend"|trans,
                        "pdf-img",
                        "form.button.upload.file"
                    )
                }}
            </div>
        {% endif %}

        {% if hasPermission('feature_map_layer_contextual_help') %}
            {{ uiComponent('form.row', {
                elements: [
                    {
                        label: { text: 'contextual.help.text'|trans },
                        control: { name: 'r_contextualHelpText', value: '' },
                        id: 'r_contextualHelpText',
                        type: 'text'
                    }
                ]
            }) }}
        {% endif %}

        <label class="u-mb-0_5">
            <input
                type="checkbox"
                name="r_print"
                data-cy="newMapLayerPrint"
                value="1"
                {% if templateVars.inData.r_print|default() == 1 %}checked{% endif %}>
            {{ "explanation.gislayer.print"|trans }}
        </label>
        <label class="u-mb-0_5">
            <input
                type="checkbox"
                name="r_default_visibility"
                data-cy="mapLayerDefaultVisibilit"
                value="1"
                checked> {# @todo SM Wie können die Werte nach einer fehlerhaften Eingabe übernommen werden? #}
            {{ "explanation.gislayer.default.visibility"|trans }}
        </label>

        <label class="u-mb-0_5">
            <input
                type="checkbox"
                name="r_user_toggle_visibility"
                data-cy="newMapLayerUserToggleVisibility"
                value="1"
                checked>
            {{ "explanation.gislayer.usertoggle.visibility"|trans }}
        </label>

        <label class="u-mt u-mb-0_5">
            <input
                type="checkbox"
                name="r_enabled"
                data-cy="newMapLayerEnabled"
                value="1"
                {% if gislayer.enabled is defined and gislayer.enabled == 1  %}checked{% endif %}>
            {{ "explanation.gislayer.enabled"|trans }}
        </label>

        <div class="text-right u-mt-0_5 space-inline-s">
            <input
                class="btn btn--primary"
                type="submit"
                name="saveLayer"
                data-cy="saveNewMapLayer"
                value="{{ "save"|trans }}">
            <a class="btn btn--secondary" href="{{ path('DemosPlan_map_administration_gislayer',{'procedureId':procedure}) }}">
                {{ "abort"|trans }}
            </a>
        </div>

    </form>

{% endblock demosplanbundlecontent %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['ol.js', 'map-mapAdminGislayerNew.js']) }}

{% endblock javascripts %}
